Bug 493243 - phantom HDMI output when using KMS
phantom HDMI output when using KMS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
card_IGP600/MiI
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 00:03 EDT by Samuel Sieb
Modified: 2009-11-09 10:02 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-09 10:02:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.conf (650 bytes, text/plain)
2009-04-01 00:11 EDT, Samuel Sieb
no flags Details
Xorg.log with nomodeset (93.02 KB, text/plain)
2009-04-01 00:12 EDT, Samuel Sieb
no flags Details
Xorg.log with KMS (78.18 KB, text/plain)
2009-04-01 00:13 EDT, Samuel Sieb
no flags Details
dmesg log with drm.debug (39.21 KB, text/plain)
2009-04-13 19:21 EDT, Samuel Sieb
no flags Details

  None (edit)
Description Samuel Sieb 2009-04-01 00:03:43 EDT
When using KMS, there is a phantom HDMI output detected as being connected.  There is not even an HDMI port.  This is a problem because the default is to have the outputs mirrored, which means that it uses the lowest maximum resolution.  The detected resolution on the HDMI output is 800x600.  The graphical boot screen is in the top-left 800x600 part of the screen as well.  When using nomodeset, the HDMI output is detected as disconnected.

RS690
kernel-2.6.27.19-170.2.35.fc10.i686
xorg-x11-drv-ati-6.10.0-2.fc10.i386

xrandr with nomodeset:
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 3320 x 1400
VGA-0 disconnected (normal left inverted right x axis y axis)
HDMI-0 disconnected (normal left inverted right x axis y axis)
DVI-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0*+   75.0     60.0* 
   1400x1050      60.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.0     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     75.0     66.7     59.9  
   720x400        70.1

xrandr with KMS:
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 1400 x 1400
VGA-0 disconnected (normal left inverted right x axis y axis)
HDMI-0 connected (normal left inverted right x axis y axis)
   800x600        60.3  
   640x480        59.9  
DVI-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 376mm x 301mm
   1280x1024      60.0*+   75.0     60.0* 
   1400x1050      60.0  
   1280x960       60.0  
   1152x864       75.0  
   1024x768       75.1     75.0     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     72.8     75.0     66.7     60.0     59.9  
   720x400        70.1  
   0x0             0.0
Comment 1 Samuel Sieb 2009-04-01 00:11:55 EDT
Created attachment 337434 [details]
xorg.conf

basically a default xorg.conf.  I only have it so I can switch between EXA and XAA for testing and not hanging X (a different bug).
Comment 2 Samuel Sieb 2009-04-01 00:12:44 EDT
Created attachment 337435 [details]
Xorg.log with nomodeset
Comment 3 Samuel Sieb 2009-04-01 00:13:21 EDT
Created attachment 337436 [details]
Xorg.log with KMS
Comment 4 Samuel Sieb 2009-04-01 00:16:28 EDT
This may be the same bug as #474339, but it's hard to tell.

Some kernel messages that appear to be related:
Mar 31 21:05:49 kids1 kernel: executing set pll
Mar 31 21:05:49 kids1 kernel: executing set crtc timing
Mar 31 21:05:49 kids1 kernel: [drm] TMDS-8: set mode  8047034
Mar 31 21:05:49 kids1 kernel: [drm:edid_is_valid] *ERROR* Raw EDID:
Mar 31 21:05:49 kids1 kernel:
Mar 31 21:05:49 kids1 kernel: pci 0000:01:05.0: HDMI Type A-1: EDID invalid.
Mar 31 21:05:50 kids1 kernel: [drm:edid_is_valid] *ERROR* Raw EDID:
Mar 31 21:05:50 kids1 kernel:
Mar 31 21:05:50 kids1 kernel: pci 0000:01:05.0: HDMI Type A-1: EDID invalid.
Mar 31 21:05:50 kids1 kernel: mtrr: base(0xd1468000) is not aligned on a size(0x785000) boundary
Mar 31 21:05:50 kids1 kernel: executing set pll
Mar 31 21:05:50 kids1 kernel: executing set crtc timing
Mar 31 21:05:50 kids1 kernel: [drm] TMDS-8: set mode 800x600 20
Mar 31 21:05:50 kids1 kernel: executing set pll
Mar 31 21:05:50 kids1 kernel: executing set crtc timing
Mar 31 21:05:50 kids1 kernel: [drm] TMDS-10: set mode 800x600 21
Mar 31 21:06:00 kids1 kernel: [drm:edid_is_valid] *ERROR* Raw EDID:
Mar 31 21:06:00 kids1 kernel:
Mar 31 21:06:00 kids1 kernel: pci 0000:01:05.0: HDMI Type A-1: EDID invalid.
Comment 5 François Cami 2009-04-06 17:22:39 EDT
Samuel,

Thanks for the bug report.

Could you add full dmesg output as well ?

Thanks

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Dave Airlie 2009-04-13 02:15:46 EDT
Full dmesg with drm.debug=1 specified on the kernel command line in grub would also be useful.
Comment 7 Samuel Sieb 2009-04-13 19:21:35 EDT
Created attachment 339397 [details]
dmesg log with drm.debug
Comment 8 François Cami 2009-04-15 17:11:00 EDT
Samuel,

Thanks for the logs, switching to ASSIGNED.

---
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 9 Samuel Sieb 2009-11-08 22:12:07 EST
This is fixed using the current F12 livecd.
Comment 10 Matěj Cepl 2009-11-09 10:02:30 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.